## f_printf

The f_printf function writes formatted string to the file.

    int f_printf (
      FIL* FileObject,     /* File object */
      const char* Foramt,  /* Format stirng */
      ...
    );

#### Parameters

FileObject
  Pointer to the open file object structure.
Format
  Pointer to the null-terminated format string.
...
  Optional arguments.

#### Return Values

When the function succeeded, number of characters written is returned. When the function failed due to disk full or any error, an `EOF` will be returned.

#### Description

The f_printf() is a wrapper function of f_putc() and f_puts(). The format control directive is a sub-set of standard library shown as follos:

- Type: `c s d u X`
- Size: `l`
- Flag: `0`

#### QuickInfo

Available when `_FS_READONLY == 0` and `_USE_STRFUNC` is 1 or 2. When it is set to 2, `'\n'`s contained in the output are converted to `"\r\n"`.

#### Example

        f_printf(&fil, "%6d", -200);         /* "  -200" */
        f_printf(&fil, "%02u", 5);           /* "05" */
        f_printf(&fil, "%ld", 12345678L);    /* "12345678" */
        f_printf(&fil, "%08lX", 1194684UL);  /* "00123ABC" */
        f_printf(&fil, "%s", "String");      /* "String" */
        f_printf(&fil, "%c", 'a');           /* "a" */

#### See Also

`f_open, f_putc, f_puts, f_gets, f_close, FIL`

Return